<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.openapi.externalSystem.service.project.PerformanceTrace PerformanceTrace(long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider T findModifiableModel(java.lang.Class&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalSystemOperationDescriptor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myModifiableRootModels">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider EP_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalSystemModulePropertyManagerBridge void setMavenized(boolean, java.lang.String, com.intellij.platform.workspace.storage.MutableEntityStorage)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModelsProvider java.util.Map&lt;com.intellij.openapi.roots.LibraryOrderEntry,com.intellij.openapi.externalSystem.model.project.LibraryDependencyData&gt; findIdeModuleLibraryOrderEntries(com.intellij.openapi.externalSystem.model.project.ModuleData, java.util.List&lt;com.intellij.openapi.externalSystem.model.project.LibraryDependencyData&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ModifiableModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider.MyUserDataHolderBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider com.intellij.openapi.module.Module newModule(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3691.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ProjectDataManager">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModelsProvider com.intellij.openapi.module.UnloadedModuleDescription getUnloadedModuleDescription(com.intellij.openapi.externalSystem.model.project.ModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3198.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ProjectDataManager java.util.List&lt;com.intellij.openapi.externalSystem.service.project.manage.WorkspaceDataService&lt;?&gt;&gt; findWorkspaceService(com.intellij.openapi.externalSystem.model.Key&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ProjectDataManager void importData(com.intellij.openapi.externalSystem.model.DataNode&lt;T&gt;, com.intellij.openapi.project.Project, com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.PerformanceTrace long getId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myProductionModulesForTestModules">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myModifiableModels">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.PerformanceTrace void reportStatistics()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalResolverIsSafe boolean executesTrustedCodeOnly(com.intellij.openapi.externalSystem.model.ProjectSystemId)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.8084.24&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ModifiableModelsProviderExtension">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalModuleStructureExtension">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider boolean isLibrarySubstituted(com.intellij.openapi.roots.libraries.Library)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ProjectDataManager void importData(com.intellij.openapi.externalSystem.model.DataNode&lt;T&gt;, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myModifiableFacetModels">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider com.intellij.platform.workspace.storage.MutableEntityStorage getActualStorageBuilder()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myModifiableLibraryModels">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider java.lang.String getProductionModuleName(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalLibraryPathTypeMapper com.intellij.openapi.externalSystem.service.project.ExternalLibraryPathTypeMapper getInstance()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalProjectRefreshCallback void onSuccess(com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId, com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.project.ProjectData&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.PackagingModifiableModelProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalSystemProjectResolver com.intellij.openapi.externalSystem.model.DataNode&lt;com.intellij.openapi.externalSystem.model.project.ProjectData&gt; resolveProjectInfo(com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId, java.lang.String, boolean, S, com.intellij.openapi.externalSystem.importing.ProjectResolverPolicy, com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskNotificationListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myUserData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalSystemModulePropertyManagerBridge">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider T getModifiableModel(java.lang.Class&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalSystemModuleDataIndex">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider com.intellij.openapi.roots.libraries.Library createLibrary(java.lang.String, com.intellij.openapi.roots.ProjectModelExternalSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalSystemWorkingDirectoryProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ProjectDataManager com.intellij.openapi.externalSystem.service.project.IdeModifiableModelsProvider createModifiableModelsProvider(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5080.55&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.AbstractIdeModifiableModelsProvider myModifiableModuleModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ProjectDataManager java.util.List&lt;com.intellij.openapi.externalSystem.service.project.manage.ProjectDataService&lt;?,?&gt;&gt; findService(com.intellij.openapi.externalSystem.model.Key&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ModifiableWorkspace ModifiableWorkspace(com.intellij.openapi.externalSystem.service.project.ExternalProjectsWorkspaceImpl.State, java.util.function.Supplier&lt;java.util.List&lt;com.intellij.openapi.module.Module&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.PerformanceTrace void reportStatisticsToFile(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.externalSystem.service.project.ExternalProjectRefreshCallback void onFailure(com.intellij.openapi.externalSystem.model.task.ExternalSystemTaskId, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
</root>
